[arch-commits] Commit in sway/repos/community-x86_64 (6 files)

Alexander Rødseth arodseth at archlinux.org
Thu Aug 29 08:41:55 UTC 2019


    Date: Thursday, August 29, 2019 @ 08:41:55
  Author: arodseth
Revision: 504663

archrelease: copy trunk to community-x86_64

Added:
  sway/repos/community-x86_64/PKGBUILD
    (from rev 504662, sway/trunk/PKGBUILD)
  sway/repos/community-x86_64/sway-session.target
    (from rev 504662, sway/trunk/sway-session.target)
  sway/repos/community-x86_64/sway.service
    (from rev 504662, sway/trunk/sway.service)
Deleted:
  sway/repos/community-x86_64/PKGBUILD
  sway/repos/community-x86_64/sway-session.target
  sway/repos/community-x86_64/sway.service

---------------------+
 PKGBUILD            |  102 +++++++++++++++++++++++++++-----------------------
 sway-session.target |   16 +++----
 sway.service        |   32 +++++++--------
 3 files changed, 80 insertions(+), 70 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-08-29 08:41:48 UTC (rev 504662)
+++ PKGBUILD	2019-08-29 08:41:55 UTC (rev 504663)
@@ -1,46 +0,0 @@
-# Maintainer: Jerome Leclanche <jerome at leclan.ch>
-# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
-
-pkgname=sway
-pkgver=1.2_rc2
-pkgrel=1
-pkgdesc='Tiling Wayland compositor and replacement for the i3 window manager'
-arch=(x86_64)
-url='https://swaywm.org/'
-license=(MIT)
-depends=(cairo gdk-pixbuf2 json-c pango pcre swaybg ttf-font 'wlroots>=0.6')
-makedepends=(git meson ninja scdoc setconf wayland-protocols)
-backup=(etc/sway/config)
-optdepends=(
-  'dmenu: Application launcher'
-  'i3status: Status line'
-  'grim: Screenshot utility'
-  'mako: Lightweight notification daemon'
-  'rxvt-unicode: Terminal emulator'
-  'slurp: Select a region'
-  'swayidle: Idle management daemon'
-  'swaylock: Screen locker'
-  'wallutils: Timed wallpapers'
-  'waybar: Highly customizable bar'
-  'xorg-server-xwayland: X11 support'
-)
-source=("git+https://github.com/swaywm/sway#tag=${pkgver/_/-}")
-md5sums=('SKIP')
-
-prepare() {
-  # Set the version information to 'Arch Linux' instead of 'makepkg'
-  sed -i "s/branch \\\'@1@\\\'/Arch Linux/g" $pkgname/meson.build
-}
-
-build() {
-  mkdir -p build
-  arch-meson build $pkgname -D werror=false -D b_ndebug=true
-  ninja -C build
-}
-
-package() {
-  DESTDIR="$pkgdir" ninja -C build install
-  install -Dm644 $pkgname/LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}
-
-# vim: ts=2 sw=2 et

Copied: sway/repos/community-x86_64/PKGBUILD (from rev 504662, sway/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-08-29 08:41:55 UTC (rev 504663)
@@ -0,0 +1,56 @@
+# Maintainer: Jerome Leclanche <jerome at leclan.ch>
+# Maintainer: Alexander F. Rødseth <xyproto at archlinux.org>
+
+pkgname=sway
+pkgver=1.2
+_hash='be138dab4419d3e76a7742428d9ec85bce06116b'
+epoch=1
+pkgrel=1
+pkgdesc='Tiling Wayland compositor and replacement for the i3 window manager'
+arch=(x86_64)
+url='https://swaywm.org/'
+license=(MIT)
+depends=(cairo gdk-pixbuf2 json-c pango pcre swaybg ttf-font 'wlroots>=0.6')
+makedepends=(git meson ninja scdoc setconf wayland-protocols)
+backup=(etc/sway/config)
+optdepends=(
+  'dmenu: Application launcher'
+  'i3status: Status line'
+  'grim: Screenshot utility'
+  'mako: Lightweight notification daemon'
+  'rxvt-unicode: Terminal emulator'
+  'slurp: Select a region'
+  'swayidle: Idle management daemon'
+  'swaylock: Screen locker'
+  'wallutils: Timed wallpapers'
+  'waybar: Highly customizable bar'
+  'xorg-server-xwayland: X11 support'
+)
+source=("git+https://github.com/swaywm/sway#tag=$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+  cd $pkgname
+
+  # check if the git hash matches
+  if [[ "$(git rev-parse HEAD)" != "$_hash" ]]; then
+    echo "error: $(git rev-parse HEAD) != $_hash"
+    exit 1
+  fi
+
+  # Set the version information to 'Arch Linux' instead of 'makepkg'
+  sed -i "s/branch \\\'@1@\\\'/Arch Linux/g" meson.build
+}
+
+build() {
+  mkdir -p build
+  arch-meson build $pkgname -D werror=false -D b_ndebug=true
+  ninja -C build
+}
+
+package() {
+  DESTDIR="$pkgdir" ninja -C build install
+  install -Dm644 $pkgname/LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+# vim: ts=2 sw=2 et

Deleted: sway-session.target
===================================================================
--- sway-session.target	2019-08-29 08:41:48 UTC (rev 504662)
+++ sway-session.target	2019-08-29 08:41:55 UTC (rev 504663)
@@ -1,8 +0,0 @@
-# https://github.com/swaywm/sway/wiki/Systemd-integration
-
-[Unit]
-Description=sway compositor session
-Documentation=man:systemd.special(7)
-BindsTo=graphical-session.target
-Wants=graphical-session-pre.target
-After=graphical-session-pre.target

Copied: sway/repos/community-x86_64/sway-session.target (from rev 504662, sway/trunk/sway-session.target)
===================================================================
--- sway-session.target	                        (rev 0)
+++ sway-session.target	2019-08-29 08:41:55 UTC (rev 504663)
@@ -0,0 +1,8 @@
+# https://github.com/swaywm/sway/wiki/Systemd-integration
+
+[Unit]
+Description=sway compositor session
+Documentation=man:systemd.special(7)
+BindsTo=graphical-session.target
+Wants=graphical-session-pre.target
+After=graphical-session-pre.target

Deleted: sway.service
===================================================================
--- sway.service	2019-08-29 08:41:48 UTC (rev 504662)
+++ sway.service	2019-08-29 08:41:55 UTC (rev 504663)
@@ -1,16 +0,0 @@
-# https://github.com/swaywm/sway/wiki/Systemd-integration
-
-[Unit]
-Description=sway - SirCmpwn's Wayland window manager
-Documentation=man:sway(5)
-BindsTo=graphical-session.target
-Wants=graphical-session-pre.target
-After=graphical-session-pre.target
-
-[Service]
-Type=simple
-EnvironmentFile=-%h/.config/sway/env
-ExecStart=/usr/bin/sway
-Restart=on-failure
-RestartSec=1
-TimeoutStopSec=10

Copied: sway/repos/community-x86_64/sway.service (from rev 504662, sway/trunk/sway.service)
===================================================================
--- sway.service	                        (rev 0)
+++ sway.service	2019-08-29 08:41:55 UTC (rev 504663)
@@ -0,0 +1,16 @@
+# https://github.com/swaywm/sway/wiki/Systemd-integration
+
+[Unit]
+Description=sway - SirCmpwn's Wayland window manager
+Documentation=man:sway(5)
+BindsTo=graphical-session.target
+Wants=graphical-session-pre.target
+After=graphical-session-pre.target
+
+[Service]
+Type=simple
+EnvironmentFile=-%h/.config/sway/env
+ExecStart=/usr/bin/sway
+Restart=on-failure
+RestartSec=1
+TimeoutStopSec=10


More information about the arch-commits mailing list